﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 9
#IgnoreWarnings: 12

Sub Class_Globals
	
	Dim BANano As BANano 'ignore
	
	Dim TileLayerObject As BANanoObject

	' privates...
	
	Dim iLayerType As Int
	Dim L As BANanoObject

End Sub

Public Sub Initialize()
	L.Initialize("L")
	iLayerType = modLeaflet.TileLayerType_OpenStreetMap
	Init
End Sub

Public Sub Initialize2(LayerType As Int)
	L.Initialize("L")
	iLayerType = LayerType
	Init
End Sub

Sub Init()

	Dim UrlTemplate As String = ""
	Dim Options As Int = 0

	Select iLayerType
        
		Case modLeaflet.TileLayerType_OpenStreetMap
	  	
			If UrlTemplate = "" Then
				UrlTemplate = "http://{s}.tile.osm.org/{z}/{x}/{y}.png"
			End If
		
			If Options = 0 Then
				' v_tilelayeroptions = {minZoom: 3, maxZoom: 20};
			End If
        
		Case modLeaflet.TileLayerType_GoogleMapRoadmap
			
			If UrlTemplate = "" Then
				UrlTemplate = "http://{s}.google.com/vt/lyrs=m&x={x}&y={y}&z={z}"
			End If
			If Options = 0 Then
				' v_tilelayeroptions = { maxZoom: 20, subdomains:['mt0','mt1','mt2','mt3'] };
			End If
			
		Case modLeaflet.TileLayerType_GoogleMapSatellite
			If UrlTemplate = "" Then
				UrlTemplate = "http://{s}.google.com/vt/lyrs=s&x={x}&y={y}&z={z}"
			End If
			If Options = 0 Then
				' v_tilelayeroptions = { maxZoom: 20, subdomains:['mt0','mt1','mt2','mt3'] };
			End If
			
		Case modLeaflet.TileLayerType_GoogleMapHybrid
			If UrlTemplate = "" Then
				UrlTemplate = "http://{s}.google.com/vt/lyrs=s,h&x={x}&y={y}&z={z}"
			End If
			If Options = 0 Then
				' v_tilelayeroptions = { maxZoom: 20, subdomains:['mt0','mt1','mt2','mt3'] };
			End If
			
		Case modLeaflet.TileLayerType_GoogleMapTerrain
			If UrlTemplate = "" Then
				UrlTemplate = "http://{s}.google.com/vt/lyrs=p&x={x}&y={y}&z={z}"
			End If
			If Options = 0 Then
				' v_tilelayeroptions = { maxZoom: 20, subdomains:['mt0','mt1','mt2','mt3'] };
			End If
			
		Case modLeaflet.TileLayerType_Custom
			' ...
        
	End Select

	TileLayerObject = L.RunMethod("tileLayer", Array(UrlTemplate, Options))

End Sub

Sub GetLayerType() As Int
	Return iLayerType
End Sub

